#ifndef AVICAPDIALOG_H
#define AVICAPDIALOG_H
#include "avicapwnd_p.h"
class V4LWindow;
class QTimer;
class CaptureProcess;
class CaptureProgress;
class ClosedCaption;
class AviCapDialog : public AviCapDlg
{ 
    Q_OBJECT
    V4LWindow* m_pWnd;
    QTimer* m_pTimer;
    CaptureProcess* m_pCapproc;
    CaptureProgress* m_pProgress;
    ClosedCaption* m_pCC;
    bool m_bStarted;
public:
    AviCapDialog(V4LWindow* pWnd);
    // QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    ~AviCapDialog();
public slots:
    void start();
    void segment();
    void stop();    
    void updateGraphs();
    bool close();
};

#endif // AVICAPDIALOG_H
